#ifndef __IUF_TRISHIP
#define __IUF_TRISHIP
/** This class represent an example of specialization.
Draw, MaxBullet and Shoot has been rewritten. 
Please note the changed interface of the shoot function, 
now it returns a list of bullets (instead of a single bullet)
Also GameSession::\Ref{GameSession::Shoot}() has been changed.
@see GameSession::Shoot()
*/
class TriShip : public Ship
{
 public:
/** The Draw function has been rewritten. 
 Now we have a new shape and an animated thrust flame too.
*/
	void Draw();
	
	/// The maximum number of bullet now is 30 instead of 10
	int MaxBullet() {return 30;};
	
	/** Shoot a new bullet triple. 
	It creates the three new bullets and return them in a list */
	void Shoot(list<Bullet *> &LB);
	
};
#endif